From: "Nirbheek Chauhan (nirbheek)" <nirbheek@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in eclass: gnome2.eclass
Date: Sun, 14 Aug 2011 03:46:33 +0000 (UTC) [thread overview]
Message-ID: <20110814034633.2B7AF20035@flycatcher.gentoo.org> (raw)
nirbheek 11/08/14 03:46:33
Modified: gnome2.eclass
Log:
For ebuilds with USE=static-libs, remove .la files conditionally for GNOME2_LA_PUNT
Revision Changes Path
1.99 eclass/gnome2.eclass
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/gnome2.eclass?rev=1.99&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/gnome2.eclass?rev=1.99&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/gnome2.eclass?r1=1.98&r2=1.99
Index: gnome2.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v
retrieving revision 1.98
retrieving revision 1.99
diff -u -r1.98 -r1.99
--- gnome2.eclass 15 Jul 2011 17:31:37 -0000 1.98
+++ gnome2.eclass 14 Aug 2011 03:46:33 -0000 1.99
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.98 2011/07/15 17:31:37 zmedico Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.99 2011/08/14 03:46:33 nirbheek Exp $
# @ECLASS: gnome2.eclass
# @MAINTAINER:
@@ -175,7 +175,9 @@
# Delete all .la files
if [[ "${GNOME2_LA_PUNT}" != "no" ]]; then
ebegin "Removing .la files"
- find "${D}" -name '*.la' -exec rm -f {} + || die "la file removal failed"
+ if ! { has static-libs ${IUSE//+} && use static-libs; }; then
+ find "${D}" -name '*.la' -exec rm -f {} + || die "la file removal failed"
+ fi
eend
fi
}
next reply other threads:[~2011-08-14 3:46 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-08-14 3:46 Nirbheek Chauhan (nirbheek) [this message]
-- strict thread matches above, loose matches on Subject: below --
2013-05-23 19:31 [gentoo-commits] gentoo-x86 commit in eclass: gnome2.eclass Mike Frysinger (vapier)
2012-12-05 23:41 Doug Goldstein (cardoe)
2011-09-25 15:15 Pacho Ramos (pacho)
2011-08-25 18:08 Nirbheek Chauhan (nirbheek)
2011-08-24 7:12 Arun Raghavan (ford_prefect)
2011-07-15 17:31 Zac Medico (zmedico)
2011-04-22 11:04 Nirbheek Chauhan (nirbheek)
2011-04-21 21:27 Gilles Dartiguelongue (eva)
2011-04-21 21:06 Gilles Dartiguelongue (eva)
2011-04-21 20:58 Gilles Dartiguelongue (eva)
2011-04-09 13:14 Gilles Dartiguelongue (eva)
2010-12-07 6:20 Gilles Dartiguelongue (eva)
2010-12-07 6:19 Gilles Dartiguelongue (eva)
2010-04-26 19:37 Jonathan Callen (abcd)
2009-02-17 16:05 Daniel Gryniewicz (dang)
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20110814034633.2B7AF20035@flycatcher.gentoo.org \
--to=nirbheek@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox